## ros-galactic-rviz2 8.5.2

=== test/tools/CMakeLists.txt ===
find_package(geometry_msgs REQUIRED)
find_package(rclcpp REQUIRED)
find_package(sensor_msgs REQUIRED)

add_executable(send_lots_of_points_node send_lots_of_points_node.cpp)
ament_target_dependencies(send_lots_of_points_node rclcpp sensor_msgs geometry_msgs)

=== debian/changelog ===
ros-galactic-rviz2 (8.5.2-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Fri, 02 Dec 2022 08:00:00 -0000

ros-galactic-rviz2 (8.5.1-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 28 Apr 2022 07:00:00 -0000

ros-galactic-rviz2 (8.5.0-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 06 Apr 2021 07:00:00 -0000

ros-galactic-rviz2 (8.4.0-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 18 Mar 2021 07:00:00 -0000

ros-galactic-rviz2 (8.3.1-1focal) focal; urgency=high

  * Use "%s" as format string literal in logging macros (#633 <https://github.com/ros2/rviz/issues/633>)
  * Contributors: Audrow Nash

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-galactic-rviz2 (8.3.0-1focal) focal; urgency=high

  * Add linters and use ament_lint_auto (#608 <https://github.com/ros2/rviz/issues/608>)
  * Update maintainers (#607 <https://github.com/ros2/rviz/issues/607>)
  * Move and update documentation for ROS 2 (#600 <https://github.com/ros2/rviz/issues/600>)
  * Contributors: Chris Lalancette, Jacob Perron

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-galactic-rviz2 (8.2.0-1focal) focal; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Tue, 23 Jun 2020 07:00:00 -0000

ros-galactic-rviz2 (8.1.1-1focal) focal; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Wed, 03 Jun 2020 07:00:00 -0000

ros-galactic-rviz2 (8.1.0-1focal) focal; urgency=high

  * Added missing virtual destructors (#553 <https://github.com/ros2/rviz/issues/553>)
  * Contributors: Ivan Santiago Paunovic

 -- Scott K Logan <scott@openrobotics.org>  Wed, 03 Jun 2020 07:00:00 -0000

ros-galactic-rviz2 (8.0.3-1focal) focal; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Tue, 02 Jun 2020 07:00:00 -0000

ros-galactic-rviz2 (8.0.2-1focal) focal; urgency=high

  * Removed automoc completely. (#545 <https://github.com/ros2/rviz/issues/545>)
  * Contributors: Chris Lalancette

 -- Scott K Logan <scott@openrobotics.org>  Thu, 21 May 2020 07:00:00 -0000

ros-galactic-rviz2 (8.0.1-1focal) focal; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Thu, 07 May 2020 07:00:00 -0000

ros-galactic-rviz2 (8.0.0-1focal) focal; urgency=high

  * Note from wjwwood: I've chosen bump the major version this time, even though the API was not broken strictly speaking, partly because of some potentially disruptive build system changes and partially in preparation for ROS Foxy, to allow for new minor/patch versions in the previous ROS release Eloquent.
  * Made some code style changes. (#504 <https://github.com/ros2/rviz/issues/504>)
  * Contributors: Dirk Thomas

 -- Scott K Logan <scott@openrobotics.org>  Fri, 01 May 2020 07:00:00 -0000

ros-galactic-rviz2 (7.0.3-1focal) focal; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Wed, 13 Nov 2019 08:00:00 -0000

ros-galactic-rviz2 (7.0.2-1focal) focal; urgency=high

  * Remove ROS arguments before passing to QApplication (#474 <https://github.com/ros2/rviz/issues/474>)
  * Contributors: Jacob Perron

 -- Scott K Logan <scott@openrobotics.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-galactic-rviz2 (7.0.1-1focal) focal; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Fri, 04 Oct 2019 07:00:00 -0000

ros-galactic-rviz2 (7.0.0-1focal) focal; urgency=high

  * Remove -Werror from defualt compiler options (#420 <https://github.com/ros2/rviz/issues/420>)
  * Contributors: Hunter L. Allen

 -- Scott K Logan <scott@openrobotics.org>  Fri, 27 Sep 2019 07:00:00 -0000

ros-galactic-rviz2 (6.1.1-1focal) focal; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Wed, 29 May 2019 07:00:00 -0000

ros-galactic-rviz2 (6.1.0-1focal) focal; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Mon, 20 May 2019 07:00:00 -0000

ros-galactic-rviz2 (6.0.0-1focal) focal; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Wed, 08 May 2019 07:00:00 -0000

ros-galactic-rviz2 (5.1.0-1focal) focal; urgency=high

  * Update package maintainer for rviz2 (#365 <https://github.com/ros2/rviz/issues/365>)
    Thank you to Deanna for her contributions.
  * Contributors: Scott K Logan

 -- Scott K Logan <scott@openrobotics.org>  Mon, 14 Jan 2019 08:00:00 -0000

ros-galactic-rviz2 (5.0.0-1focal) focal; urgency=high

  * Add semicolons to all RCLCPP and RCUTILS macros. (#357 <https://github.com/ros2/rviz/issues/357>)
  * Made the transformation framework used by rviz pluggable. (#346 <https://github.com/ros2/rviz/issues/346>)
  * Contributors: Andreas Greimel, Chris Lalancette

 -- Scott K Logan <scott@openrobotics.org>  Tue, 04 Dec 2018 08:00:00 -0000

ros-galactic-rviz2 (4.0.1-1focal) focal; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Thu, 28 Jun 2018 07:00:00 -0000

ros-galactic-rviz2 (4.0.0-1focal) focal; urgency=high

  * Fixed compilation errors and runtime issues on Windows. (#175 <https://github.com/ros2/rviz/issues/175>)
  * Introduced a ROS interface abstraction to improve testability. (#156 <https://github.com/ros2/rviz/issues/156>)
  * Added a dependency between rviz2 and rviz_default_plugins (#149 <https://github.com/ros2/rviz/issues/149>)
  * Contributors: Alessandro Bottero, Andreas Greimel, Andreas Holzner, Martin Idel, Mikael Arguedas, William Woodall

 -- Scott K Logan <scott@openrobotics.org>  Wed, 27 Jun 2018 07:00:00 -0000

ros-galactic-rviz2 (3.0.0-1focal) focal; urgency=high

  * Numerous changes to support Windows.
  * Make rviz runnable with ros2 run.
  * Contributors: Andreas Holzner, Hunter Allen, Steven! Ragnarok, William Woodall

 -- Scott K Logan <scott@openrobotics.org>  Wed, 07 Feb 2018 08:00:00 -0000

ros-galactic-rviz2 (1.12.11-1focal) focal; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Wed, 02 Aug 2017 07:00:00 -0000

ros-galactic-rviz2 (1.12.10-1focal) focal; urgency=high





=== debian/control ===
Source: ros-galactic-rviz2
Section: misc
Priority: optional
Maintainer: Jacob Perron <jacob@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, ros-galactic-ament-cmake, ros-galactic-ament-cmake-cppcheck <!nocheck>, ros-galactic-ament-cmake-cpplint <!nocheck>, ros-galactic-ament-cmake-lint-cmake <!nocheck>, ros-galactic-ament-cmake-uncrustify <!nocheck>, ros-galactic-ament-cmake-xmllint <!nocheck>, ros-galactic-ament-lint-auto <!nocheck>, ros-galactic-geometry-msgs <!nocheck>, ros-galactic-rclcpp <!nocheck>, ros-galactic-rviz-common, ros-galactic-rviz-ogre-vendor, ros-galactic-sensor-msgs <!nocheck>, ros-galactic-ros-workspace
Homepage: https://github.com/ros2/rviz/blob/ros2/README.md
Standards-Version: 3.9.2

Package: ros-galactic-rviz2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-rviz-common, ros-galactic-rviz-default-plugins, ros-galactic-rviz-ogre-vendor, ros-galactic-ros-workspace
Description: 3D visualization tool for ROS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-rviz2//opt/ros/galactic/lib/:$(CURDIR)/debian/ros-galactic-rviz2//opt/ros/galactic/opt/rviz_assimp_vendor/lib/:$(CURDIR)/debian/ros-galactic-rviz2//opt/ros/galactic/opt/rviz_ogre_vendor/lib/:$(CURDIR)/debian/ros-galactic-rviz2//opt/ros/galactic/opt/rviz_yaml_cpp_vendor/lib/


override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
